NXWidgets: NXWidgets::CProgressBar Class Reference

NXWidgets 1.19

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
NXWidgets::CProgressBar Class Reference

`#include <cprogressbar.hxx>`

Inheritance diagram for NXWidgets::CProgressBar:

## Public Member Functions
| CProgressBar (CWidgetControl *pWidgetControl, nxgl_coord_t x, nxgl_coord_t y, nxgl_coord_t width, nxgl_coord_t height)
virtual | ~CProgressBar (void)
const int16_t | getMinimumValue (void) const
const int16_t | getMaximumValue (void) const
const int16_t | getValue (void) const
void | setMinimumValue (const int16_t value)
void | setMaximumValue (const int16_t value)
void | setValue (const int16_t value)
void | showPercentageText (void)
void | hidePercentageText (void)
Public Member Functions inherited from NXWidgets::CNxWidget
| CNxWidget (CWidgetControl *pWidgetControl, nxgl_coord_t x, nxgl_coord_t y, nxgl_coord_t width, nxgl_coord_t height, uint32_t flags, FAR const CWidgetStyle *style=(FAR const CWidgetStyle *) NULL)
virtual | ~CNxWidget (void)
nxgl_coord_t | getX (void) const
nxgl_coord_t | getY (void) const
nxgl_coord_t | getRelativeX (void) const
nxgl_coord_t | getRelativeY (void) const
bool | hasFocus (void) const
bool | isDeleted (void) const
bool | isDrawingEnabled (void) const
bool | isHidden (void) const
bool | isEnabled (void) const
bool | isPermeable (void) const
bool | isDoubleClickable (void) const
bool | isBorderless (void) const
bool | isClicked (void) const
bool | isBeingDragged (void) const
nxgl_coord_t | getWidth (void) const
nxgl_coord_t | getHeight (void) const
void | getSize (struct nxgl_size_s &size) const
void | getPos (struct nxgl_point_s &pos) const
CRect | getBoundingBox (void)
void | getBorderSize (WidgetBorderSize &borderSize)
CNxWidget * | getParent (void) const
CNxWidget * | getFocusedWidget (void)
virtual void | getPreferredDimensions (CRect &rect) const
void | getClientRect (CRect &rect) const
void | getRect (CRect &rect) const
CNxFont * | getFont (void) const
nxgl_mxpixel_t | getBackgroundColor (void) const
nxgl_mxpixel_t | getSelectedBackgroundColor (void) const
nxgl_mxpixel_t | getShineEdgeColor (void) const
nxgl_mxpixel_t | getShadowEdgeColor (void) const
nxgl_mxpixel_t | getHighlightColor (void) const
nxgl_mxpixel_t | getDisabledTextColor (void) const
nxgl_mxpixel_t | getEnabledTextColor (void) const
nxgl_mxpixel_t | getSelectedTextColor (void) const
const CWidgetStyle * | getWidgetStyle () const
void | setBorderless (bool isBorderless)
void | setDraggable (bool isDraggable)
void | setPermeable (bool permeable)
void | setDoubleClickable (bool doubleClickable)
void | addWidgetEventHandler (CWidgetEventHandler *eventHandler)
void | removeWidgetEventHandler (CWidgetEventHandler *eventHandler)
int | nWidgetEventHandlers (void) const
void | setRaisesEvents (bool raises)
bool | raisesEvents (void) const
void | disableDrawing (void)
void | enableDrawing (void)
void | setBackgroundColor (nxgl_mxpixel_t color)
void | setSelectedBackgroundColor (nxgl_mxpixel_t color)
void | setShineEdgeColor (nxgl_mxpixel_t color)
void | setShadowEdgeColor (nxgl_mxpixel_t color)
void | setHighlightColor (nxgl_mxpixel_t color)
void | setDisabledTextColor (nxgl_mxpixel_t color)
void | setEnabledTextColor (nxgl_mxpixel_t color)
void | setSelectedTextColor (nxgl_mxpixel_t color)
virtual void | setFont (CNxFont *font)
void | redraw (void)
bool | enable (void)
bool | disable (void)
void | close (void)
bool | show (void)
bool | hide (void)
virtual bool | click (nxgl_coord_t x, nxgl_coord_t y)
virtual bool | isDoubleClick (nxgl_coord_t x, nxgl_coord_t y)
bool | doubleClick (nxgl_coord_t x, nxgl_coord_t y)
bool | release (nxgl_coord_t x, nxgl_coord_t y)
bool | drag (nxgl_coord_t x, nxgl_coord_t y, nxgl_coord_t vX, nxgl_coord_t vY)
bool | keyPress (nxwidget_char_t key)
bool | cursorControl (ECursorControl control)
bool | focus (void)
bool | blur (void)
bool | moveTo (nxgl_coord_t x, nxgl_coord_t y)
bool | resize (nxgl_coord_t width, nxgl_coord_t height)
bool | changeDimensions (nxgl_coord_t x, nxgl_coord_t y, nxgl_coord_t width, nxgl_coord_t height)
void | moveChildToDeleteQueue (CNxWidget *widget)
void | setFocusedWidget (CNxWidget *widget)
virtual bool | checkCollision (nxgl_coord_t x, nxgl_coord_t y) const
virtual bool | checkCollision (nxgl_coord_t x, nxgl_coord_t y, nxgl_coord_t width, nxgl_coord_t height) const
bool | checkCollision (CNxWidget *widget) const
void | addWidget (CNxWidget *widget)
void | insertWidget (CNxWidget *widget)
void | setParent (CNxWidget *parent)
void | destroy (void)
bool | remove (void)
bool | removeChild (CNxWidget *widget)
const CNxWidget * | getChild (int index) const
int | getChildCount (void) const
void | setBorderSize (const WidgetBorderSize &borderSize)

## Protected Member Functions
virtual void | drawContents (CGraphicsPort *port)
virtual void | drawBorder (CGraphicsPort *port)
| CProgressBar (const CProgressBar &progressBar)
Protected Member Functions inherited from NXWidgets::CNxWidget
void | useWidgetStyle (const CWidgetStyle *style)
void | drawChildren (void)
void | closeChild (CNxWidget *widget)
void | startDragging (nxgl_coord_t x, nxgl_coord_t y)
void | stopDragging (nxgl_coord_t x, nxgl_coord_t y)
| CNxWidget (const CNxWidget &widget)
virtual void | onClick (nxgl_coord_t x, nxgl_coord_t y)
virtual void | onDoubleClick (nxgl_coord_t x, nxgl_coord_t y)
virtual void | onPreRelease (nxgl_coord_t x, nxgl_coord_t y)
virtual void | onRelease (nxgl_coord_t x, nxgl_coord_t y)
virtual void | onReleaseOutside (nxgl_coord_t x, nxgl_coord_t y)
virtual void | onDrag (nxgl_coord_t x, nxgl_coord_t y, nxgl_coord_t vX, nxgl_coord_t vY)
virtual void | onDragStart (void)
virtual void | onDragStop (void)
virtual void | onFocus (void)
virtual void | onBlur (void)
virtual void | onEnable (void)
virtual void | onDisable (void)
virtual void | onResize (nxgl_coord_t width, nxgl_coord_t height)

## Protected Attributes
int16_t | m_minimumValue
int16_t | m_maximumValue
int16_t | m_value
bool | m_showPercentageText
Protected Attributes inherited from NXWidgets::CNxWidget
CWidgetControl * | m_widgetControl
CRect | m_rect
nxgl_coord_t | m_grabPointX
nxgl_coord_t | m_grabPointY
nxgl_coord_t | m_newX
nxgl_coord_t | m_newY
CWidgetStyle | m_style
Flags | m_flags
CWidgetEventHandlerList * | m_widgetEventHandlers
struct timespec | m_lastClickTime
nxgl_coord_t | m_lastClickX
nxgl_coord_t | m_lastClickY
int | m_doubleClickBounds
CNxWidget * | m_parent
CNxWidget * | m_focusedChild
TNxArray< CNxWidget * > | m_children
WidgetBorderSize | m_borderSize

## Additional Inherited Members
Public Types inherited from NXWidgets::CNxWidget
enum | WidgetFlagType { WIDGET_BORDERLESS = 0x0001, WIDGET_DRAGGABLE = 0x0002, WIDGET_PERMEABLE = 0x0004, WIDGET_DOUBLE_CLICKABLE = 0x0008, WIDGET_NO_RAISE_EVENTS = 0x0010 }

## Detailed Description

Widget providing a horizontal progress bar.

Definition at line 108 of file cprogressbar.hxx.

## Constructor & Destructor Documentation

## ◆ CProgressBar() [1/2]

NXWidgets::CProgressBar::CProgressBar | ( | const CProgressBar & | progressBar | ) |
| inlineprotected

Copy constructor is protected to prevent usage.

Definition at line 141 of file cprogressbar.hxx.

## ◆ CProgressBar() [2/2]

CProgressBar::CProgressBar | ( | CWidgetControl * | pWidgetControl,
|  | nxgl_coord_t | x,
|  | nxgl_coord_t | y,
|  | nxgl_coord_t | width,
|  | nxgl_coord_t | height
| ) |  |

Constructor.

Parameters

  pWidgetControl | The widget control for the display.
  x | The x coordinate of the progress bar, relative to its parent.
  y | The y coordinate of the progress bar, relative to its parent.
  width | The width of the progress bar.
  height | The height of the progress bar.

Definition at line 107 of file cprogressbar.cxx.

## ◆ ~CProgressBar()

virtual NXWidgets::CProgressBar::~CProgressBar | ( | void |  | ) |
| inlinevirtual

Destructor.

Definition at line 163 of file cprogressbar.hxx.

## Member Function Documentation

## ◆ drawBorder()

void CProgressBar::drawBorder | ( | CGraphicsPort * | port | ) |
| protectedvirtual

Draw the area of this widget that falls within the clipping region. Called by the redraw() function to draw all visible regions.

Parameters

  port | The CGraphicsPort to draw to.

See also
  redraw()

Reimplemented from NXWidgets::CNxWidget.

Definition at line 221 of file cprogressbar.cxx.

## ◆ drawContents()

void CProgressBar::drawContents | ( | CGraphicsPort * | port | ) |
| protectedvirtual

Draw the area of this widget that falls within the clipping region. Called by the redraw() function to draw all visible regions.

Parameters

  port | The CGraphicsPort to draw to.

See also
  redraw()

Reimplemented from NXWidgets::CNxWidget.

Definition at line 152 of file cprogressbar.cxx.

## ◆ getMaximumValue()

const int16_t NXWidgets::CProgressBar::getMaximumValue | ( | void |  | ) | const
| inline

Get the largest value that the progress bar can represent.

Returns
  The largest value.

Definition at line 182 of file cprogressbar.hxx.

## ◆ getMinimumValue()

const int16_t NXWidgets::CProgressBar::getMinimumValue | ( | void |  | ) | const
| inline

Get the smallest value that the progress bar can represent.

Returns
  The smallest value.

Definition at line 171 of file cprogressbar.hxx.

## ◆ getValue()

const int16_t NXWidgets::CProgressBar::getValue | ( | void |  | ) | const
| inline

Get the current value of the progress bar. return The current progress bar value.

Definition at line 192 of file cprogressbar.hxx.

## ◆ hidePercentageText()

void NXWidgets::CProgressBar::hidePercentageText | ( | void |  | ) |
| inline

Hides the percentage text over the bar.

Definition at line 241 of file cprogressbar.hxx.

## ◆ setMaximumValue()

void NXWidgets::CProgressBar::setMaximumValue | ( | const int16_t | value | ) |
| inline

Set the largest value that the progress bar can represent.

Parameters

  value | The largest value.

Definition at line 214 of file cprogressbar.hxx.

## ◆ setMinimumValue()

void NXWidgets::CProgressBar::setMinimumValue | ( | const int16_t | value | ) |
| inline

Set the smallest value that the progress bar can represent.

Parameters

  value | The smallest value.

Definition at line 203 of file cprogressbar.hxx.

## ◆ setValue()

void CProgressBar::setValue | ( | const int16_t | value | ) |

Set the value that of the progress bar.

Parameters

  value | The new value.

Definition at line 125 of file cprogressbar.cxx.

## ◆ showPercentageText()

void NXWidgets::CProgressBar::showPercentageText | ( | void |  | ) |
| inline

Shows the percentage text over the bar.

Definition at line 231 of file cprogressbar.hxx.

## Member Data Documentation

## ◆ m_maximumValue

int16_t NXWidgets::CProgressBar::m_maximumValue
| protected

Maximum value that the grip can represent.

Definition at line 112 of file cprogressbar.hxx.

## ◆ m_minimumValue

int16_t NXWidgets::CProgressBar::m_minimumValue
| protected

Minimum value that the grip can represent.

Definition at line 111 of file cprogressbar.hxx.

## ◆ m_showPercentageText

bool NXWidgets::CProgressBar::m_showPercentageText
| protected

If true, completion percentage is drawn over the bar.

Definition at line 114 of file cprogressbar.hxx.

## ◆ m_value

int16_t NXWidgets::CProgressBar::m_value
| protected

Value of the progress bar.

Definition at line 113 of file cprogressbar.hxx.

The documentation for this class was generated from the following files:

- cprogressbar.hxx
- cprogressbar.cxx